# WCM8 Site Information

Adds additional site configuration fields such as contact info and social media links.

## Provided Variables
    'prefix',
    'admin_link',
    'footer_text',
    'address_1', 
    'address_2',
    'city',
    'state',
    'zip',
    'phone',
    'fax',
    'contact_email',
    'twitter',
    'facebook',
    'linkedin',
    'googleplus',
    'youtube',
    'instagram',
    'photos'

## Theme usage
Add a preprocess function to your `THEMENAME.theme` file to make these variables available in your theme's twig templates. 

Example code:

````
/**
 * Implements hook_preprocess().
 */
 
 function THEMENAME_preprocess(array &$variables, $hook) {
  $siteinfo_config = \Drupal::config('wcm8_siteinfo.settings');
  $siteinfo_vars = [
    'prefix',
    'admin_link',
    'footer_text',
    'address_1', 
    'address_2',
    'city',
    'state',
    'zip',
    'phone',
    'fax',
    'contact_email',
    'twitter',
    'facebook',
    'linkedin',
    'googleplus',
    'youtube',
    'instagram',
    'photos'
  ];
  foreach ($siteinfo_vars as $siteinfo_var) {
    $variables[$siteinfo_var] = $siteinfo_config->get($siteinfo_var);
  }
}

